Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.transform
Class C14NTransform

`java.lang.Object
oracle.security.xmlsec.transform.XSTransformer
oracle.security.xmlsec.transform.C14NTransform`

Direct Known Subclasses:
  C14NWithCommentsTransform

public class C14NTransform
extends XSTransformer

Internal use only. Applies Canonical XML version 1.0 (XML-C14N) as a Transform.

Field Summary

Fields inherited from class oracle.security.xmlsec.transform.XSTransformer
`transform`

Constructor Summary
`C14NTransform()` Creates a new `C14NTransform` instance.
`C14NTransform(XSAlgorithmIdentifier trans)` Creates a new `C14NTransform` instance.

Method Summary
`java.lang.String` | `getAlgorithmURI()` Returns the URI string identifying the Transform algorithm.
`protected XMLContainer` | `transform(XMLContainer source)` Applies the Canonical XML transformation to the given `XMLContainer` and returns the octet stream result a new `XMLContainer`.

Methods inherited from class oracle.security.xmlsec.transform.XSTransformer
`applyTransforms, getInstance, getInstance, getTransform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### C14NTransform

    public C14NTransform()

  Creates a new `C14NTransform` instance.

### C14NTransform

    public C14NTransform(XSAlgorithmIdentifier trans)

  Creates a new `C14NTransform` instance.
Parameters:
  `trans` - A `XSAlgorithmIdentifier` object containing no parameter element.
Throws:
  `java.lang.IllegalArgumentException` - If the `XSAlgorithmIdentifier` is not a valid XML-C14N Transform.

Method Detail

### getAlgorithmURI

    public java.lang.String getAlgorithmURI()

  Description copied from class: `XSTransformer`
  Returns the URI string identifying the Transform algorithm.
  Specified by:
    `getAlgorithmURI` in class `XSTransformer`
  Returns:
    This Transform's URI string.

### transform

    protected XMLContainer transform(XMLContainer source)
                              throws TransformationException

  Applies the Canonical XML transformation to the given `XMLContainer` and returns the octet stream result a new `XMLContainer`.
  Specified by:
    `transform` in class `XSTransformer`
  Parameters:
    `source` - A `XMLContainer` on which the transform will operate.
  Returns:
    A `XMLContainer` containing the transform octet stream result.
  Throws:
    `TransformationException` - if an error occurs during the transformation process.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.